%define		debug %nil
%define		debug_package %nil
%define     secscan 0


Name:		rqlite
Version:	8.36.16
Release:	1
Summary:	Distributed relational database built on SQLite
URL:		http://www.rqlite.io
Source0:	https://github.com/rqlite/rqlite/archive/v%{version}/%{name}-%{version}.tar.gz
License:	MIT
Group:		Development/Other
Provides:	rqlite
Provides:	rqbench
Provides:	rqlited
BuildRequires:	go
BuildRequires:	git-core
BuildRequires:	upx
BuildRequires:  pkgconfig(openssl3.3)

%if %{secscan}
BuildRequires:  clamav
BuildRequires:  trivy
%endif


%description
rqlite is an easy-to-use, lightweight, distributed
relational database, which uses SQLite as its storage
engine. rqlite is simple to deploy, operating it is very
straightforward, and its clustering capabilities provide
you with fault-tolerance and high-availability. rqlite
is available for Linux, macOS, and Microsoft Windows.

%prep
%setup -q

%if %{secscan}
clamscan -ir .
trivy fs --scanners vuln --format cosign-vuln .
%endif


%build
export GOPROXY=https://proxy.golang.org/cached-only
go build -o bin/rqbench ./cmd/rqbench
go build -o bin/rqlite  ./cmd/rqlite
go build -o bin/rqlited ./cmd/rqlited

upx bin/*


%install
install -Dm0755 bin/rqbench %{buildroot}%{_bindir}/rqbench
install -Dm0755 bin/rqlite  %{buildroot}%{_bindir}/rqlite
install -Dm0755 bin/rqlited %{buildroot}%{_bindir}/rqlited 

%files
%doc README.md LICENSE DOC
%{_bindir}/*


%check
export GOPROXY=direct
# go test ./...

%if %{secscan}
clamscan -ir %{buildroot}
%endif
